> ## Documentation Index
> Fetch the complete documentation index at: https://runpod-b18f5ded-lg-apiv2-new.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List container registries

> Returns all container registry credentials owned by the authenticated user.



## OpenAPI

````yaml get /v2/registries
openapi: 3.0.3
info:
  title: RunPod REST API
  version: 2.0.0
  description: RunPod public REST API — v2
servers:
  - url: /
    description: Current server
security:
  - bearerAuth: []
paths:
  /v2/registries:
    get:
      tags:
        - Registries
      summary: List container registries
      description: >-
        Returns all container registry credentials owned by the authenticated
        user.
      operationId: listRegistries
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListRegistriesResponse'
        default:
          description: Error
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListRegistriesResponse:
      type: object
      required:
        - registries
      properties:
        registries:
          type: array
          items:
            $ref: '#/components/schemas/Registry'
    ErrorResponse:
      type: object
      properties:
        title:
          type: string
          description: Short human-readable summary
          example: Not Found
        status:
          type: integer
          description: HTTP status code
          example: 404
        detail:
          type: string
          description: Human-readable explanation
          example: pod not found
    Registry:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
          example: reg_abc
        name:
          type: string
          example: my-private-registry
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: RunPod API Key

````